Bug 815521 - Review Request: python-django-extra-form-fields - Additional form fields for Django applications
Review Request: python-django-extra-form-fields - Additional form fields for ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-04-23 14:46 EDT by Matthias Runge
Modified: 2012-06-06 15:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 15:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-04-23 14:46:20 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-extra-form-fields.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-extra-form-fields-0.0.1-3.fc17.src.rpm
Description: Additional form fields to use in Django applications:

    NextUrlField - add to forms that need to store url of next page
    get_next_url - utility function to extract next url from the request object
    UserNameField - field to enter user name - allows unique username site-wide
    UserEmailField - allows unique email address site-wide if 
                     EMAIL_UNIQUE setting is True


please note: this is a review request required for package rename


koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=4015974


[mrunge@sofja SPECS]$ rpmlint ./python-django-extra-form-fields.spec ../RPMS/noarch/python-django-extra-form-fields-0.0.1-3.fc17.noarch.rpm ../SRPMS/python-django-extra-form-fields-0.0.1-3.fc17.src.rpm 
python-django-extra-form-fields.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
python-django-extra-form-fields.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
python-django-extra-form-fields.src: W: spelling-error %description -l en_US url -> URL, curl, purl
python-django-extra-form-fields.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
Comment 1 Michael Scherer 2012-04-27 16:45:03 EDT
Hi,

There is a uneeded copy of the GPL in %doc, but outside of that, the package look goods, let me start the review.
Comment 2 Michael Scherer 2012-04-27 16:47:09 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-extra-form-fields-0.0.1-3.fc18.src.rpm

python-django-extra-form-fields.src: W: spelling-error %description -l en_US url -> URL, curl, purl
python-django-extra-form-fields.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-django-extra-form-fields-0.0.1-3.fc18.noarch.rpm

python-django-extra-form-fields.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
python-django-extra-form-fields.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/reviews/815521/django-extra-form-fields-0.0.1.tar.gz :
  MD5SUM this package     : e884ae42f31996ce155cec230977380f
  MD5SUM upstream package : e884ae42f31996ce155cec230977380f

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-extra-form-fields-0.0.1-3.fc18.src.rpm

python-django-extra-form-fields.src: W: spelling-error %description -l en_US url -> URL, curl, purl
python-django-extra-form-fields.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-django-extra-form-fields-0.0.1-3.fc18.noarch.rpm

python-django-extra-form-fields.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
python-django-extra-form-fields.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:


So the package is good to go, provided the extranous COPYING file is removed.
Comment 3 Matthias Runge 2012-05-03 16:17:13 EDT
Thank you for your review, and sorry for delaying this.

(In reply to comment #1)
> Hi,
> 
> There is a uneeded copy of the GPL in %doc, but outside of that, the package
> look goods, let me start the review.
The files COPYING and LICENSE differ from each other, I'm sure, we should provide both.

[mrunge@sofja django-extra-form-fields-0.0.1]$ ls -l LICENSE COPYING 
-rw-r--r-- 1 mrunge mrunge 35147 Aug 23  2011 COPYING
-rw-r--r-- 1 mrunge mrunge   709 Aug 23  2011 LICENSE
Comment 4 Michael Scherer 2012-05-03 19:32:57 EDT
My point is that since the package is under a BSD license, a copy of the GPL license is likely not needed :)
( and would be confusing ).
Comment 5 Matthias Runge 2012-05-04 02:53:53 EDT
yepp, I got it.

Fact is, BSD license is wrong. I'll contact upstream to correct the license field on pypi-page: http://pypi.python.org/pypi/django-extra-form-fields/0.0.1

[mrunge@mrungexp django-extra-form-fields-0.0.1]$ licensecheck -r .
./ez_setup.py: *No copyright* UNKNOWN
./django_extra_form_fields/conf.py: *No copyright* UNKNOWN
./django_extra_form_fields/default_settings.py: *No copyright* UNKNOWN
./django_extra_form_fields/fields.py: *No copyright* UNKNOWN
./django_extra_form_fields/__init__.py: *No copyright* UNKNOWN
./setup.py: *No copyright* UNKNOWN

License says: This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.


COPYING is a copy of GPLv3


Name:           python-django-extra-form-fields
 Version:        0.0.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Additional form fields for Django applications
 
-License:        BSD
+License:        GPLv3+
 URL:            http://pypi.python.org/pypi/django-extra-form-fields/0.0.1
 Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
 
@@ -48,6 +48,9 @@
 
 
 %changelog
+* Fri May 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.1-4
+- corrected license field to GPLv3+
+
 * Mon Apr 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.1-3
 - package renamed to python-django-extra-form-fields

Updated 
SPEC: http://www.matthias-runge.de/fedora/python-django-extra-form-fields.spec
SRPM: http://www.matthias-runge.de/fedora/python-django-extra-form-fields-0.0.1-4.fc16.src.rpm
Comment 6 Michael Scherer 2012-05-18 08:09:09 EDT
Ok, so the license was corrected, so the packag eis good to go, sorry to have forgot about it for so long
Comment 7 Matthias Runge 2012-05-18 15:33:56 EDT
Thank you very much!

New Package SCM Request
=======================
Package Name: python-django-extra-form-fields
Short Description: Additional form fields for Django applications
Owners: mrunge
Branches: devel
Comment 8 Jason Tibbitts 2012-05-19 14:30:05 EDT
Git done (by process-git-requests).
Comment 9 Matthias Runge 2012-06-06 15:31:50 EDT
imported, built, old package deprecated and blocked. Thanks!

Note You need to log in before you can comment on or make changes to this bug.